=== packaging/deb/debian/changelog ===
erlang-sd-notify (1.0-1) UNRELEASED; urgency=medium

  * Update for stub for NIF upgrade improvement 

 -- Gabriele Santomaggio <g.santomaggio@gmail.com>  Thu, 13 Apr 2017 11:54:18 +0000
